Message: Re: Geant4 9.2.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

More Re: Geant4 9.2.p01  

Forum: Installation and Configuration
Re: None Geant4 9.2.p01 (Konstantin Shibaev)
Date: 14 Dec, 2009
From: Gabriele Cosmo <Gabriele Cosmo>

> I try to migrate on Geant4 9.2.p01. But when I link my program I receive =
> next message=20
> 
> Making dependency for file exampleN01.cc ...
> Making dependency for file src/ExN01PrimaryGeneratorAction.cc ...
> Making dependency for file src/ExN01PhysicsList.cc ...
> Making dependency for file src/ExN01DetectorConstruction.cc ...
> Compiling ExN01DetectorConstruction.cc ...
> Compiling ExN01PhysicsList.cc ...
> Compiling ExN01PrimaryGeneratorAction.cc ...
> Creating/replacing object files in =
> /afs/cern.ch/user/s/shibaev/geant4/9.2.p01/slc4_amd64_gcc34/tmp/Linux-g++=
> /exampleN01/libexampleN01.a ...
> ar: creating =
> /afs/cern.ch/user/s/shibaev/geant4/9.2.p01/slc4_amd64_gcc34/tmp/Linux-g++=
> /exampleN01/libexampleN01.a
> Compiling exampleN01.cc ...
> Using global libraries ...
> Linking exampleN01 ...
> /usr/bin/ld: cannot find -lxerces-c

Looks like you have been installing Geant4 with the GDML module. You should check if
G4LIB_BUILD_GDML is set in your environment and if XERCESCROOT identifies the correct
path where XercesC is installed in your system.

Cheers, Gabriele

 Add Message Add Message
to: "Re: Geant4 9.2.p01 "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]